blas1_grp(3)

NAME
blas1_grp - Level 1 BLAS: vector ops

SYNOPSIS

  Topics
asum: sum | real( x_i ) | + | imag( x_i ) |
sum1: sum | x_i | (in LAPACK)
axpy: y = ax + y
copy: y = x
dot: x^H x and x^T x
iamax: argmax_i | real( x_i ) | + | imag( x_i ) |
imax1: argmax_i | x_i | (in LAPACK)
nrm2: || x ||_2
scal: x = alpha x
swap: x <=> y
&mdash; Givens/Jacobi plane rotations &mdash;
rot: apply plane rotation ([cz]rot in LAPACK)
rotg: generate plane rotation (cf. lartg)
rotm: apply modified (fast) plane rotation
rotmg: generate modified (fast) plane rotation

Detailed Description

Author

Generated automatically by Doxygen for LAPACK from the source code.